# This file is auto-generated by AWSMetadata.jl
using AWS
using AWS.AWSServices: chime
using AWS.Compat
using AWS.UUIDs

"""
    AssociatePhoneNumberWithUser()

Associates a phone number with the specified Amazon Chime user.

# Required Parameters
- `E164PhoneNumber`: The phone number, in E.164 format.
- `accountId`: The Amazon Chime account ID.
- `userId`: The user ID.

"""
associate_phone_number_with_user(E164PhoneNumber, accountId, userId; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/accounts/$(accountId)/users/$(userId)?operation=associate-phone-number", Dict{String, Any}("E164PhoneNumber"=>E164PhoneNumber); aws_config=aws_config)
associate_phone_number_with_user(E164PhoneNumber, accountId, userId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/accounts/$(accountId)/users/$(userId)?operation=associate-phone-number", Dict{String, Any}(mergewith(_merge, Dict{String, Any}("E164PhoneNumber"=>E164PhoneNumber), args)); aws_config=aws_config)

"""
    AssociatePhoneNumbersWithVoiceConnector()

Associates phone numbers with the specified Amazon Chime Voice Connector.

# Required Parameters
- `E164PhoneNumbers`: List of phone numbers, in E.164 format.
- `voiceConnectorId`: The Amazon Chime Voice Connector ID.

# Optional Parameters
- `ForceAssociate`: If true, associates the provided phone numbers with the provided Amazon Chime Voice Connector and removes any previously existing associations. If false, does not associate any phone numbers that have previously existing associations.
"""
associate_phone_numbers_with_voice_connector(E164PhoneNumbers, voiceConnectorId; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/voice-connectors/$(voiceConnectorId)?operation=associate-phone-numbers", Dict{String, Any}("E164PhoneNumbers"=>E164PhoneNumbers); aws_config=aws_config)
associate_phone_numbers_with_voice_connector(E164PhoneNumbers, voiceConnectorId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/voice-connectors/$(voiceConnectorId)?operation=associate-phone-numbers", Dict{String, Any}(mergewith(_merge, Dict{String, Any}("E164PhoneNumbers"=>E164PhoneNumbers), args)); aws_config=aws_config)

"""
    AssociatePhoneNumbersWithVoiceConnectorGroup()

Associates phone numbers with the specified Amazon Chime Voice Connector group.

# Required Parameters
- `E164PhoneNumbers`: List of phone numbers, in E.164 format.
- `voiceConnectorGroupId`: The Amazon Chime Voice Connector group ID.

# Optional Parameters
- `ForceAssociate`: If true, associates the provided phone numbers with the provided Amazon Chime Voice Connector Group and removes any previously existing associations. If false, does not associate any phone numbers that have previously existing associations.
"""
associate_phone_numbers_with_voice_connector_group(E164PhoneNumbers, voiceConnectorGroupId; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/voice-connector-groups/$(voiceConnectorGroupId)?operation=associate-phone-numbers", Dict{String, Any}("E164PhoneNumbers"=>E164PhoneNumbers); aws_config=aws_config)
associate_phone_numbers_with_voice_connector_group(E164PhoneNumbers, voiceConnectorGroupId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/voice-connector-groups/$(voiceConnectorGroupId)?operation=associate-phone-numbers", Dict{String, Any}(mergewith(_merge, Dict{String, Any}("E164PhoneNumbers"=>E164PhoneNumbers), args)); aws_config=aws_config)

"""
    AssociateSigninDelegateGroupsWithAccount()

Associates the specified sign-in delegate groups with the specified Amazon Chime account.

# Required Parameters
- `SigninDelegateGroups`: The sign-in delegate groups.
- `accountId`: The Amazon Chime account ID.

"""
associate_signin_delegate_groups_with_account(SigninDelegateGroups, accountId; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/accounts/$(accountId)?operation=associate-signin-delegate-groups", Dict{String, Any}("SigninDelegateGroups"=>SigninDelegateGroups); aws_config=aws_config)
associate_signin_delegate_groups_with_account(SigninDelegateGroups, accountId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/accounts/$(accountId)?operation=associate-signin-delegate-groups", Dict{String, Any}(mergewith(_merge, Dict{String, Any}("SigninDelegateGroups"=>SigninDelegateGroups), args)); aws_config=aws_config)

"""
    BatchCreateAttendee()

Creates up to 100 new attendees for an active Amazon Chime SDK meeting. For more information about the Amazon Chime SDK, see Using the Amazon Chime SDK in the Amazon Chime Developer Guide. 

# Required Parameters
- `Attendees`: The request containing the attendees to create.
- `meetingId`: The Amazon Chime SDK meeting ID.

"""
batch_create_attendee(Attendees, meetingId; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/meetings/$(meetingId)/attendees?operation=batch-create", Dict{String, Any}("Attendees"=>Attendees); aws_config=aws_config)
batch_create_attendee(Attendees, meetingId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/meetings/$(meetingId)/attendees?operation=batch-create", Dict{String, Any}(mergewith(_merge, Dict{String, Any}("Attendees"=>Attendees), args)); aws_config=aws_config)

"""
    BatchCreateRoomMembership()

Adds up to 50 members to a chat room in an Amazon Chime Enterprise account. Members can be either users or bots. The member role designates whether the member is a chat room administrator or a general chat room member.

# Required Parameters
- `MembershipItemList`: The list of membership items.
- `accountId`: The Amazon Chime account ID.
- `roomId`: The room ID.

"""
batch_create_room_membership(MembershipItemList, accountId, roomId; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/accounts/$(accountId)/rooms/$(roomId)/memberships?operation=batch-create", Dict{String, Any}("MembershipItemList"=>MembershipItemList); aws_config=aws_config)
batch_create_room_membership(MembershipItemList, accountId, roomId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/accounts/$(accountId)/rooms/$(roomId)/memberships?operation=batch-create", Dict{String, Any}(mergewith(_merge, Dict{String, Any}("MembershipItemList"=>MembershipItemList), args)); aws_config=aws_config)

"""
    BatchDeletePhoneNumber()

Moves phone numbers into the Deletion queue. Phone numbers must be disassociated from any users or Amazon Chime Voice Connectors before they can be deleted. Phone numbers remain in the Deletion queue for 7 days before they are deleted permanently.

# Required Parameters
- `PhoneNumberIds`: List of phone number IDs.

"""
batch_delete_phone_number(PhoneNumberIds; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/phone-numbers?operation=batch-delete", Dict{String, Any}("PhoneNumberIds"=>PhoneNumberIds); aws_config=aws_config)
batch_delete_phone_number(PhoneNumberIds, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/phone-numbers?operation=batch-delete", Dict{String, Any}(mergewith(_merge, Dict{String, Any}("PhoneNumberIds"=>PhoneNumberIds), args)); aws_config=aws_config)

"""
    BatchSuspendUser()

Suspends up to 50 users from a Team or EnterpriseLWA Amazon Chime account. For more information about different account types, see Managing Your Amazon Chime Accounts in the Amazon Chime Administration Guide. Users suspended from a Team account are disassociated from the account, but they can continue to use Amazon Chime as free users. To remove the suspension from suspended Team account users, invite them to the Team account again. You can use the InviteUsers action to do so. Users suspended from an EnterpriseLWA account are immediately signed out of Amazon Chime and can no longer sign in. To remove the suspension from suspended EnterpriseLWA account users, use the BatchUnsuspendUser action.  To sign out users without suspending them, use the LogoutUser action.

# Required Parameters
- `UserIdList`: The request containing the user IDs to suspend.
- `accountId`: The Amazon Chime account ID.

"""
batch_suspend_user(UserIdList, accountId; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/accounts/$(accountId)/users?operation=suspend", Dict{String, Any}("UserIdList"=>UserIdList); aws_config=aws_config)
batch_suspend_user(UserIdList, accountId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/accounts/$(accountId)/users?operation=suspend", Dict{String, Any}(mergewith(_merge, Dict{String, Any}("UserIdList"=>UserIdList), args)); aws_config=aws_config)

"""
    BatchUnsuspendUser()

Removes the suspension from up to 50 previously suspended users for the specified Amazon Chime EnterpriseLWA account. Only users on EnterpriseLWA accounts can be unsuspended using this action. For more information about different account types, see Managing Your Amazon Chime Accounts in the Amazon Chime Administration Guide. Previously suspended users who are unsuspended using this action are returned to Registered status. Users who are not previously suspended are ignored.

# Required Parameters
- `UserIdList`: The request containing the user IDs to unsuspend.
- `accountId`: The Amazon Chime account ID.

"""
batch_unsuspend_user(UserIdList, accountId; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/accounts/$(accountId)/users?operation=unsuspend", Dict{String, Any}("UserIdList"=>UserIdList); aws_config=aws_config)
batch_unsuspend_user(UserIdList, accountId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/accounts/$(accountId)/users?operation=unsuspend", Dict{String, Any}(mergewith(_merge, Dict{String, Any}("UserIdList"=>UserIdList), args)); aws_config=aws_config)

"""
    BatchUpdatePhoneNumber()

Updates phone number product types or calling names. You can update one attribute at a time for each UpdatePhoneNumberRequestItem. For example, you can update either the product type or the calling name. For product types, choose from Amazon Chime Business Calling and Amazon Chime Voice Connector. For toll-free numbers, you must use the Amazon Chime Voice Connector product type. Updates to outbound calling names can take up to 72 hours to complete. Pending updates to outbound calling names must be complete before you can request another update.

# Required Parameters
- `UpdatePhoneNumberRequestItems`: The request containing the phone number IDs and product types or calling names to update.

"""
batch_update_phone_number(UpdatePhoneNumberRequestItems; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/phone-numbers?operation=batch-update", Dict{String, Any}("UpdatePhoneNumberRequestItems"=>UpdatePhoneNumberRequestItems); aws_config=aws_config)
batch_update_phone_number(UpdatePhoneNumberRequestItems, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/phone-numbers?operation=batch-update", Dict{String, Any}(mergewith(_merge, Dict{String, Any}("UpdatePhoneNumberRequestItems"=>UpdatePhoneNumberRequestItems), args)); aws_config=aws_config)

"""
    BatchUpdateUser()

Updates user details within the UpdateUserRequestItem object for up to 20 users for the specified Amazon Chime account. Currently, only LicenseType updates are supported for this action.

# Required Parameters
- `UpdateUserRequestItems`: The request containing the user IDs and details to update.
- `accountId`: The Amazon Chime account ID.

"""
batch_update_user(UpdateUserRequestItems, accountId; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/accounts/$(accountId)/users", Dict{String, Any}("UpdateUserRequestItems"=>UpdateUserRequestItems); aws_config=aws_config)
batch_update_user(UpdateUserRequestItems, accountId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/accounts/$(accountId)/users", Dict{String, Any}(mergewith(_merge, Dict{String, Any}("UpdateUserRequestItems"=>UpdateUserRequestItems), args)); aws_config=aws_config)

"""
    CreateAccount()

Creates an Amazon Chime account under the administrator's AWS account. Only Team account types are currently supported for this action. For more information about different account types, see Managing Your Amazon Chime Accounts in the Amazon Chime Administration Guide.

# Required Parameters
- `Name`: The name of the Amazon Chime account.

"""
create_account(Name; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/accounts", Dict{String, Any}("Name"=>Name); aws_config=aws_config)
create_account(Name, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/accounts", Dict{String, Any}(mergewith(_merge, Dict{String, Any}("Name"=>Name), args)); aws_config=aws_config)

"""
    CreateAttendee()

Creates a new attendee for an active Amazon Chime SDK meeting. For more information about the Amazon Chime SDK, see Using the Amazon Chime SDK in the Amazon Chime Developer Guide.

# Required Parameters
- `ExternalUserId`: The Amazon Chime SDK external user ID. Links the attendee to an identity managed by a builder application.
- `meetingId`: The Amazon Chime SDK meeting ID.

# Optional Parameters
- `Tags`: The tag key-value pairs.
"""
create_attendee(ExternalUserId, meetingId; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/meetings/$(meetingId)/attendees", Dict{String, Any}("ExternalUserId"=>ExternalUserId); aws_config=aws_config)
create_attendee(ExternalUserId, meetingId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/meetings/$(meetingId)/attendees", Dict{String, Any}(mergewith(_merge, Dict{String, Any}("ExternalUserId"=>ExternalUserId), args)); aws_config=aws_config)

"""
    CreateBot()

Creates a bot for an Amazon Chime Enterprise account.

# Required Parameters
- `DisplayName`: The bot display name.
- `accountId`: The Amazon Chime account ID.

# Optional Parameters
- `Domain`: The domain of the Amazon Chime Enterprise account.
"""
create_bot(DisplayName, accountId; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/accounts/$(accountId)/bots", Dict{String, Any}("DisplayName"=>DisplayName); aws_config=aws_config)
create_bot(DisplayName, accountId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/accounts/$(accountId)/bots", Dict{String, Any}(mergewith(_merge, Dict{String, Any}("DisplayName"=>DisplayName), args)); aws_config=aws_config)

"""
    CreateMeeting()

Creates a new Amazon Chime SDK meeting in the specified media Region with no initial attendees. For more information about specifying media Regions, see Amazon Chime SDK Media Regions in the Amazon Chime Developer Guide. For more information about the Amazon Chime SDK, see Using the Amazon Chime SDK in the Amazon Chime Developer Guide.

# Required Parameters
- `ClientRequestToken`: The unique identifier for the client request. Use a different token for different meetings.

# Optional Parameters
- `ExternalMeetingId`: The external meeting ID.
- `MediaRegion`: The Region in which to create the meeting. Default: us-east-1. Available values: af-south-1, ap-northeast-1, ap-northeast-2, ap-south-1, ap-southeast-1, ap-southeast-2, ca-central-1, eu-central-1, eu-north-1, eu-south-1, eu-west-1, eu-west-2, eu-west-3, sa-east-1, us-east-1, us-east-2, us-west-1, us-west-2.
- `MeetingHostId`: Reserved.
- `NotificationsConfiguration`: The configuration for resource targets to receive notifications when meeting and attendee events occur.
- `Tags`: The tag key-value pairs.
"""
create_meeting(ClientRequestToken; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/meetings", Dict{String, Any}("ClientRequestToken"=>ClientRequestToken); aws_config=aws_config)
create_meeting(ClientRequestToken, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/meetings", Dict{String, Any}(mergewith(_merge, Dict{String, Any}("ClientRequestToken"=>ClientRequestToken), args)); aws_config=aws_config)

"""
    CreateMeetingWithAttendees()

Creates a new Amazon Chime SDK meeting in the specified media Region, with attendees. For more information about specifying media Regions, see Amazon Chime SDK Media Regions in the Amazon Chime Developer Guide. For more information about the Amazon Chime SDK, see Using the Amazon Chime SDK in the Amazon Chime Developer Guide.

# Required Parameters
- `ClientRequestToken`: The unique identifier for the client request. Use a different token for different meetings.

# Optional Parameters
- `Attendees`: The request containing the attendees to create.
- `ExternalMeetingId`: The external meeting ID.
- `MediaRegion`: The Region in which to create the meeting. Default: us-east-1. Available values: af-south-1, ap-northeast-1, ap-northeast-2, ap-south-1, ap-southeast-1, ap-southeast-2, ca-central-1, eu-central-1, eu-north-1, eu-south-1, eu-west-1, eu-west-2, eu-west-3, sa-east-1, us-east-1, us-east-2, us-west-1, us-west-2.
- `MeetingHostId`: Reserved.
- `NotificationsConfiguration`: 
- `Tags`: The tag key-value pairs.
"""
create_meeting_with_attendees(ClientRequestToken; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/meetings?operation=create-attendees", Dict{String, Any}("ClientRequestToken"=>ClientRequestToken); aws_config=aws_config)
create_meeting_with_attendees(ClientRequestToken, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/meetings?operation=create-attendees", Dict{String, Any}(mergewith(_merge, Dict{String, Any}("ClientRequestToken"=>ClientRequestToken), args)); aws_config=aws_config)

"""
    CreatePhoneNumberOrder()

Creates an order for phone numbers to be provisioned. Choose from Amazon Chime Business Calling and Amazon Chime Voice Connector product types. For toll-free numbers, you must use the Amazon Chime Voice Connector product type.

# Required Parameters
- `E164PhoneNumbers`: List of phone numbers, in E.164 format.
- `ProductType`: The phone number product type.

"""
create_phone_number_order(E164PhoneNumbers, ProductType; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/phone-number-orders", Dict{String, Any}("E164PhoneNumbers"=>E164PhoneNumbers, "ProductType"=>ProductType); aws_config=aws_config)
create_phone_number_order(E164PhoneNumbers, ProductType, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/phone-number-orders", Dict{String, Any}(mergewith(_merge, Dict{String, Any}("E164PhoneNumbers"=>E164PhoneNumbers, "ProductType"=>ProductType), args)); aws_config=aws_config)

"""
    CreateProxySession()

Creates a proxy session on the specified Amazon Chime Voice Connector for the specified participant phone numbers.

# Required Parameters
- `Capabilities`: The proxy session capabilities.
- `ParticipantPhoneNumbers`: The participant phone numbers.
- `voiceConnectorId`: The Amazon Chime voice connector ID.

# Optional Parameters
- `ExpiryMinutes`: The number of minutes allowed for the proxy session.
- `GeoMatchLevel`: The preference for matching the country or area code of the proxy phone number with that of the first participant.
- `GeoMatchParams`: The country and area code for the proxy phone number.
- `Name`: The name of the proxy session.
- `NumberSelectionBehavior`: The preference for proxy phone number reuse, or stickiness, between the same participants across sessions.
"""
create_proxy_session(Capabilities, ParticipantPhoneNumbers, voiceConnectorId; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/voice-connectors/$(voiceConnectorId)/proxy-sessions", Dict{String, Any}("Capabilities"=>Capabilities, "ParticipantPhoneNumbers"=>ParticipantPhoneNumbers); aws_config=aws_config)
create_proxy_session(Capabilities, ParticipantPhoneNumbers, voiceConnectorId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/voice-connectors/$(voiceConnectorId)/proxy-sessions", Dict{String, Any}(mergewith(_merge, Dict{String, Any}("Capabilities"=>Capabilities, "ParticipantPhoneNumbers"=>ParticipantPhoneNumbers), args)); aws_config=aws_config)

"""
    CreateRoom()

Creates a chat room for the specified Amazon Chime Enterprise account.

# Required Parameters
- `Name`: The room name.
- `accountId`: The Amazon Chime account ID.

# Optional Parameters
- `ClientRequestToken`: The idempotency token for the request.
"""
create_room(Name, accountId; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/accounts/$(accountId)/rooms", Dict{String, Any}("Name"=>Name, "ClientRequestToken"=>string(uuid4())); aws_config=aws_config)
create_room(Name, accountId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/accounts/$(accountId)/rooms", Dict{String, Any}(mergewith(_merge, Dict{String, Any}("Name"=>Name, "ClientRequestToken"=>string(uuid4())), args)); aws_config=aws_config)

"""
    CreateRoomMembership()

Adds a member to a chat room in an Amazon Chime Enterprise account. A member can be either a user or a bot. The member role designates whether the member is a chat room administrator or a general chat room member.

# Required Parameters
- `MemberId`: The Amazon Chime member ID (user ID or bot ID).
- `accountId`: The Amazon Chime account ID.
- `roomId`: The room ID.

# Optional Parameters
- `Role`: The role of the member.
"""
create_room_membership(MemberId, accountId, roomId; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/accounts/$(accountId)/rooms/$(roomId)/memberships", Dict{String, Any}("MemberId"=>MemberId); aws_config=aws_config)
create_room_membership(MemberId, accountId, roomId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/accounts/$(accountId)/rooms/$(roomId)/memberships", Dict{String, Any}(mergewith(_merge, Dict{String, Any}("MemberId"=>MemberId), args)); aws_config=aws_config)

"""
    CreateUser()

Creates a user under the specified Amazon Chime account.

# Required Parameters
- `accountId`: The Amazon Chime account ID.

# Optional Parameters
- `Email`: The user's email address.
- `UserType`: The user type.
- `Username`: The user name.
"""
create_user(accountId; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/accounts/$(accountId)/users?operation=create"; aws_config=aws_config)
create_user(accountId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/accounts/$(accountId)/users?operation=create", args; aws_config=aws_config)

"""
    CreateVoiceConnector()

Creates an Amazon Chime Voice Connector under the administrator's AWS account. You can choose to create an Amazon Chime Voice Connector in a specific AWS Region. Enabling CreateVoiceConnectorRequestRequireEncryption configures your Amazon Chime Voice Connector to use TLS transport for SIP signaling and Secure RTP (SRTP) for media. Inbound calls use TLS transport, and unencrypted outbound calls are blocked.

# Required Parameters
- `Name`: The name of the Amazon Chime Voice Connector.
- `RequireEncryption`: When enabled, requires encryption for the Amazon Chime Voice Connector.

# Optional Parameters
- `AwsRegion`: The AWS Region in which the Amazon Chime Voice Connector is created. Default value: us-east-1.
"""
create_voice_connector(Name, RequireEncryption; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/voice-connectors", Dict{String, Any}("Name"=>Name, "RequireEncryption"=>RequireEncryption); aws_config=aws_config)
create_voice_connector(Name, RequireEncryption, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/voice-connectors", Dict{String, Any}(mergewith(_merge, Dict{String, Any}("Name"=>Name, "RequireEncryption"=>RequireEncryption), args)); aws_config=aws_config)

"""
    CreateVoiceConnectorGroup()

Creates an Amazon Chime Voice Connector group under the administrator's AWS account. You can associate Amazon Chime Voice Connectors with the Amazon Chime Voice Connector group by including VoiceConnectorItems in the request. You can include Amazon Chime Voice Connectors from different AWS Regions in your group. This creates a fault tolerant mechanism for fallback in case of availability events.

# Required Parameters
- `Name`: The name of the Amazon Chime Voice Connector group.

# Optional Parameters
- `VoiceConnectorItems`: The Amazon Chime Voice Connectors to route inbound calls to.
"""
create_voice_connector_group(Name; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/voice-connector-groups", Dict{String, Any}("Name"=>Name); aws_config=aws_config)
create_voice_connector_group(Name, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/voice-connector-groups", Dict{String, Any}(mergewith(_merge, Dict{String, Any}("Name"=>Name), args)); aws_config=aws_config)

"""
    DeleteAccount()

Deletes the specified Amazon Chime account. You must suspend all users before deleting a Team account. You can use the BatchSuspendUser action to do so. For EnterpriseLWA and EnterpriseAD accounts, you must release the claimed domains for your Amazon Chime account before deletion. As soon as you release the domain, all users under that account are suspended. Deleted accounts appear in your Disabled accounts list for 90 days. To restore a deleted account from your Disabled accounts list, you must contact AWS Support. After 90 days, deleted accounts are permanently removed from your Disabled accounts list.

# Required Parameters
- `accountId`: The Amazon Chime account ID.

"""
delete_account(accountId; aws_config::AWSConfig=global_aws_config()) = chime("DELETE", "/accounts/$(accountId)"; aws_config=aws_config)
delete_account(accountId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("DELETE", "/accounts/$(accountId)", args; aws_config=aws_config)

"""
    DeleteAttendee()

Deletes an attendee from the specified Amazon Chime SDK meeting and deletes their JoinToken. Attendees are automatically deleted when a Amazon Chime SDK meeting is deleted. For more information about the Amazon Chime SDK, see Using the Amazon Chime SDK in the Amazon Chime Developer Guide.

# Required Parameters
- `attendeeId`: The Amazon Chime SDK attendee ID.
- `meetingId`: The Amazon Chime SDK meeting ID.

"""
delete_attendee(attendeeId, meetingId; aws_config::AWSConfig=global_aws_config()) = chime("DELETE", "/meetings/$(meetingId)/attendees/$(attendeeId)"; aws_config=aws_config)
delete_attendee(attendeeId, meetingId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("DELETE", "/meetings/$(meetingId)/attendees/$(attendeeId)", args; aws_config=aws_config)

"""
    DeleteEventsConfiguration()

Deletes the events configuration that allows a bot to receive outgoing events.

# Required Parameters
- `accountId`: The Amazon Chime account ID.
- `botId`: The bot ID.

"""
delete_events_configuration(accountId, botId; aws_config::AWSConfig=global_aws_config()) = chime("DELETE", "/accounts/$(accountId)/bots/$(botId)/events-configuration"; aws_config=aws_config)
delete_events_configuration(accountId, botId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("DELETE", "/accounts/$(accountId)/bots/$(botId)/events-configuration", args; aws_config=aws_config)

"""
    DeleteMeeting()

Deletes the specified Amazon Chime SDK meeting. When a meeting is deleted, its attendees are also deleted and clients can no longer join it. For more information about the Amazon Chime SDK, see Using the Amazon Chime SDK in the Amazon Chime Developer Guide.

# Required Parameters
- `meetingId`: The Amazon Chime SDK meeting ID.

"""
delete_meeting(meetingId; aws_config::AWSConfig=global_aws_config()) = chime("DELETE", "/meetings/$(meetingId)"; aws_config=aws_config)
delete_meeting(meetingId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("DELETE", "/meetings/$(meetingId)", args; aws_config=aws_config)

"""
    DeletePhoneNumber()

Moves the specified phone number into the Deletion queue. A phone number must be disassociated from any users or Amazon Chime Voice Connectors before it can be deleted. Deleted phone numbers remain in the Deletion queue for 7 days before they are deleted permanently.

# Required Parameters
- `phoneNumberId`: The phone number ID.

"""
delete_phone_number(phoneNumberId; aws_config::AWSConfig=global_aws_config()) = chime("DELETE", "/phone-numbers/$(phoneNumberId)"; aws_config=aws_config)
delete_phone_number(phoneNumberId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("DELETE", "/phone-numbers/$(phoneNumberId)", args; aws_config=aws_config)

"""
    DeleteProxySession()

Deletes the specified proxy session from the specified Amazon Chime Voice Connector.

# Required Parameters
- `proxySessionId`: The proxy session ID.
- `voiceConnectorId`: The Amazon Chime voice connector ID.

"""
delete_proxy_session(proxySessionId, voiceConnectorId; aws_config::AWSConfig=global_aws_config()) = chime("DELETE", "/voice-connectors/$(voiceConnectorId)/proxy-sessions/$(proxySessionId)"; aws_config=aws_config)
delete_proxy_session(proxySessionId, voiceConnectorId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("DELETE", "/voice-connectors/$(voiceConnectorId)/proxy-sessions/$(proxySessionId)", args; aws_config=aws_config)

"""
    DeleteRoom()

Deletes a chat room in an Amazon Chime Enterprise account.

# Required Parameters
- `accountId`: The Amazon Chime account ID.
- `roomId`: The chat room ID.

"""
delete_room(accountId, roomId; aws_config::AWSConfig=global_aws_config()) = chime("DELETE", "/accounts/$(accountId)/rooms/$(roomId)"; aws_config=aws_config)
delete_room(accountId, roomId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("DELETE", "/accounts/$(accountId)/rooms/$(roomId)", args; aws_config=aws_config)

"""
    DeleteRoomMembership()

Removes a member from a chat room in an Amazon Chime Enterprise account.

# Required Parameters
- `accountId`: The Amazon Chime account ID.
- `memberId`: The member ID (user ID or bot ID).
- `roomId`: The room ID.

"""
delete_room_membership(accountId, memberId, roomId; aws_config::AWSConfig=global_aws_config()) = chime("DELETE", "/accounts/$(accountId)/rooms/$(roomId)/memberships/$(memberId)"; aws_config=aws_config)
delete_room_membership(accountId, memberId, roomId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("DELETE", "/accounts/$(accountId)/rooms/$(roomId)/memberships/$(memberId)", args; aws_config=aws_config)

"""
    DeleteVoiceConnector()

Deletes the specified Amazon Chime Voice Connector. Any phone numbers associated with the Amazon Chime Voice Connector must be disassociated from it before it can be deleted.

# Required Parameters
- `voiceConnectorId`: The Amazon Chime Voice Connector ID.

"""
delete_voice_connector(voiceConnectorId; aws_config::AWSConfig=global_aws_config()) = chime("DELETE", "/voice-connectors/$(voiceConnectorId)"; aws_config=aws_config)
delete_voice_connector(voiceConnectorId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("DELETE", "/voice-connectors/$(voiceConnectorId)", args; aws_config=aws_config)

"""
    DeleteVoiceConnectorEmergencyCallingConfiguration()

Deletes the emergency calling configuration details from the specified Amazon Chime Voice Connector.

# Required Parameters
- `voiceConnectorId`: The Amazon Chime Voice Connector ID.

"""
delete_voice_connector_emergency_calling_configuration(voiceConnectorId; aws_config::AWSConfig=global_aws_config()) = chime("DELETE", "/voice-connectors/$(voiceConnectorId)/emergency-calling-configuration"; aws_config=aws_config)
delete_voice_connector_emergency_calling_configuration(voiceConnectorId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("DELETE", "/voice-connectors/$(voiceConnectorId)/emergency-calling-configuration", args; aws_config=aws_config)

"""
    DeleteVoiceConnectorGroup()

Deletes the specified Amazon Chime Voice Connector group. Any VoiceConnectorItems and phone numbers associated with the group must be removed before it can be deleted.

# Required Parameters
- `voiceConnectorGroupId`: The Amazon Chime Voice Connector group ID.

"""
delete_voice_connector_group(voiceConnectorGroupId; aws_config::AWSConfig=global_aws_config()) = chime("DELETE", "/voice-connector-groups/$(voiceConnectorGroupId)"; aws_config=aws_config)
delete_voice_connector_group(voiceConnectorGroupId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("DELETE", "/voice-connector-groups/$(voiceConnectorGroupId)", args; aws_config=aws_config)

"""
    DeleteVoiceConnectorOrigination()

Deletes the origination settings for the specified Amazon Chime Voice Connector.  If emergency calling is configured for the Amazon Chime Voice Connector, it must be deleted prior to deleting the origination settings. 

# Required Parameters
- `voiceConnectorId`: The Amazon Chime Voice Connector ID.

"""
delete_voice_connector_origination(voiceConnectorId; aws_config::AWSConfig=global_aws_config()) = chime("DELETE", "/voice-connectors/$(voiceConnectorId)/origination"; aws_config=aws_config)
delete_voice_connector_origination(voiceConnectorId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("DELETE", "/voice-connectors/$(voiceConnectorId)/origination", args; aws_config=aws_config)

"""
    DeleteVoiceConnectorProxy()

Deletes the proxy configuration from the specified Amazon Chime Voice Connector.

# Required Parameters
- `voiceConnectorId`: The Amazon Chime Voice Connector ID.

"""
delete_voice_connector_proxy(voiceConnectorId; aws_config::AWSConfig=global_aws_config()) = chime("DELETE", "/voice-connectors/$(voiceConnectorId)/programmable-numbers/proxy"; aws_config=aws_config)
delete_voice_connector_proxy(voiceConnectorId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("DELETE", "/voice-connectors/$(voiceConnectorId)/programmable-numbers/proxy", args; aws_config=aws_config)

"""
    DeleteVoiceConnectorStreamingConfiguration()

Deletes the streaming configuration for the specified Amazon Chime Voice Connector.

# Required Parameters
- `voiceConnectorId`: The Amazon Chime Voice Connector ID.

"""
delete_voice_connector_streaming_configuration(voiceConnectorId; aws_config::AWSConfig=global_aws_config()) = chime("DELETE", "/voice-connectors/$(voiceConnectorId)/streaming-configuration"; aws_config=aws_config)
delete_voice_connector_streaming_configuration(voiceConnectorId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("DELETE", "/voice-connectors/$(voiceConnectorId)/streaming-configuration", args; aws_config=aws_config)

"""
    DeleteVoiceConnectorTermination()

Deletes the termination settings for the specified Amazon Chime Voice Connector.  If emergency calling is configured for the Amazon Chime Voice Connector, it must be deleted prior to deleting the termination settings. 

# Required Parameters
- `voiceConnectorId`: The Amazon Chime Voice Connector ID.

"""
delete_voice_connector_termination(voiceConnectorId; aws_config::AWSConfig=global_aws_config()) = chime("DELETE", "/voice-connectors/$(voiceConnectorId)/termination"; aws_config=aws_config)
delete_voice_connector_termination(voiceConnectorId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("DELETE", "/voice-connectors/$(voiceConnectorId)/termination", args; aws_config=aws_config)

"""
    DeleteVoiceConnectorTerminationCredentials()

Deletes the specified SIP credentials used by your equipment to authenticate during call termination.

# Required Parameters
- `Usernames`: The RFC2617 compliant username associated with the SIP credentials, in US-ASCII format.
- `voiceConnectorId`: The Amazon Chime Voice Connector ID.

"""
delete_voice_connector_termination_credentials(Usernames, voiceConnectorId; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/voice-connectors/$(voiceConnectorId)/termination/credentials?operation=delete", Dict{String, Any}("Usernames"=>Usernames); aws_config=aws_config)
delete_voice_connector_termination_credentials(Usernames, voiceConnectorId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/voice-connectors/$(voiceConnectorId)/termination/credentials?operation=delete", Dict{String, Any}(mergewith(_merge, Dict{String, Any}("Usernames"=>Usernames), args)); aws_config=aws_config)

"""
    DisassociatePhoneNumberFromUser()

Disassociates the primary provisioned phone number from the specified Amazon Chime user.

# Required Parameters
- `accountId`: The Amazon Chime account ID.
- `userId`: The user ID.

"""
disassociate_phone_number_from_user(accountId, userId; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/accounts/$(accountId)/users/$(userId)?operation=disassociate-phone-number"; aws_config=aws_config)
disassociate_phone_number_from_user(accountId, userId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/accounts/$(accountId)/users/$(userId)?operation=disassociate-phone-number", args; aws_config=aws_config)

"""
    DisassociatePhoneNumbersFromVoiceConnector()

Disassociates the specified phone numbers from the specified Amazon Chime Voice Connector.

# Required Parameters
- `E164PhoneNumbers`: List of phone numbers, in E.164 format.
- `voiceConnectorId`: The Amazon Chime Voice Connector ID.

"""
disassociate_phone_numbers_from_voice_connector(E164PhoneNumbers, voiceConnectorId; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/voice-connectors/$(voiceConnectorId)?operation=disassociate-phone-numbers", Dict{String, Any}("E164PhoneNumbers"=>E164PhoneNumbers); aws_config=aws_config)
disassociate_phone_numbers_from_voice_connector(E164PhoneNumbers, voiceConnectorId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/voice-connectors/$(voiceConnectorId)?operation=disassociate-phone-numbers", Dict{String, Any}(mergewith(_merge, Dict{String, Any}("E164PhoneNumbers"=>E164PhoneNumbers), args)); aws_config=aws_config)

"""
    DisassociatePhoneNumbersFromVoiceConnectorGroup()

Disassociates the specified phone numbers from the specified Amazon Chime Voice Connector group.

# Required Parameters
- `E164PhoneNumbers`: List of phone numbers, in E.164 format.
- `voiceConnectorGroupId`: The Amazon Chime Voice Connector group ID.

"""
disassociate_phone_numbers_from_voice_connector_group(E164PhoneNumbers, voiceConnectorGroupId; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/voice-connector-groups/$(voiceConnectorGroupId)?operation=disassociate-phone-numbers", Dict{String, Any}("E164PhoneNumbers"=>E164PhoneNumbers); aws_config=aws_config)
disassociate_phone_numbers_from_voice_connector_group(E164PhoneNumbers, voiceConnectorGroupId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/voice-connector-groups/$(voiceConnectorGroupId)?operation=disassociate-phone-numbers", Dict{String, Any}(mergewith(_merge, Dict{String, Any}("E164PhoneNumbers"=>E164PhoneNumbers), args)); aws_config=aws_config)

"""
    DisassociateSigninDelegateGroupsFromAccount()

Disassociates the specified sign-in delegate groups from the specified Amazon Chime account.

# Required Parameters
- `GroupNames`: The sign-in delegate group names.
- `accountId`: The Amazon Chime account ID.

"""
disassociate_signin_delegate_groups_from_account(GroupNames, accountId; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/accounts/$(accountId)?operation=disassociate-signin-delegate-groups", Dict{String, Any}("GroupNames"=>GroupNames); aws_config=aws_config)
disassociate_signin_delegate_groups_from_account(GroupNames, accountId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/accounts/$(accountId)?operation=disassociate-signin-delegate-groups", Dict{String, Any}(mergewith(_merge, Dict{String, Any}("GroupNames"=>GroupNames), args)); aws_config=aws_config)

"""
    GetAccount()

Retrieves details for the specified Amazon Chime account, such as account type and supported licenses.

# Required Parameters
- `accountId`: The Amazon Chime account ID.

"""
get_account(accountId; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/accounts/$(accountId)"; aws_config=aws_config)
get_account(accountId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/accounts/$(accountId)", args; aws_config=aws_config)

"""
    GetAccountSettings()

Retrieves account settings for the specified Amazon Chime account ID, such as remote control and dial out settings. For more information about these settings, see Use the Policies Page in the Amazon Chime Administration Guide.

# Required Parameters
- `accountId`: The Amazon Chime account ID.

"""
get_account_settings(accountId; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/accounts/$(accountId)/settings"; aws_config=aws_config)
get_account_settings(accountId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/accounts/$(accountId)/settings", args; aws_config=aws_config)

"""
    GetAttendee()

Gets the Amazon Chime SDK attendee details for a specified meeting ID and attendee ID. For more information about the Amazon Chime SDK, see Using the Amazon Chime SDK in the Amazon Chime Developer Guide.

# Required Parameters
- `attendeeId`: The Amazon Chime SDK attendee ID.
- `meetingId`: The Amazon Chime SDK meeting ID.

"""
get_attendee(attendeeId, meetingId; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/meetings/$(meetingId)/attendees/$(attendeeId)"; aws_config=aws_config)
get_attendee(attendeeId, meetingId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/meetings/$(meetingId)/attendees/$(attendeeId)", args; aws_config=aws_config)

"""
    GetBot()

Retrieves details for the specified bot, such as bot email address, bot type, status, and display name.

# Required Parameters
- `accountId`: The Amazon Chime account ID.
- `botId`: The bot ID.

"""
get_bot(accountId, botId; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/accounts/$(accountId)/bots/$(botId)"; aws_config=aws_config)
get_bot(accountId, botId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/accounts/$(accountId)/bots/$(botId)", args; aws_config=aws_config)

"""
    GetEventsConfiguration()

Gets details for an events configuration that allows a bot to receive outgoing events, such as an HTTPS endpoint or Lambda function ARN. 

# Required Parameters
- `accountId`: The Amazon Chime account ID.
- `botId`: The bot ID.

"""
get_events_configuration(accountId, botId; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/accounts/$(accountId)/bots/$(botId)/events-configuration"; aws_config=aws_config)
get_events_configuration(accountId, botId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/accounts/$(accountId)/bots/$(botId)/events-configuration", args; aws_config=aws_config)

"""
    GetGlobalSettings()

Retrieves global settings for the administrator's AWS account, such as Amazon Chime Business Calling and Amazon Chime Voice Connector settings.

"""
get_global_settings(; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/settings"; aws_config=aws_config)
get_global_settings(args::AbstractDict{String, Any}; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/settings", args; aws_config=aws_config)

"""
    GetMeeting()

Gets the Amazon Chime SDK meeting details for the specified meeting ID. For more information about the Amazon Chime SDK, see Using the Amazon Chime SDK in the Amazon Chime Developer Guide.

# Required Parameters
- `meetingId`: The Amazon Chime SDK meeting ID.

"""
get_meeting(meetingId; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/meetings/$(meetingId)"; aws_config=aws_config)
get_meeting(meetingId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/meetings/$(meetingId)", args; aws_config=aws_config)

"""
    GetPhoneNumber()

Retrieves details for the specified phone number ID, such as associations, capabilities, and product type.

# Required Parameters
- `phoneNumberId`: The phone number ID.

"""
get_phone_number(phoneNumberId; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/phone-numbers/$(phoneNumberId)"; aws_config=aws_config)
get_phone_number(phoneNumberId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/phone-numbers/$(phoneNumberId)", args; aws_config=aws_config)

"""
    GetPhoneNumberOrder()

Retrieves details for the specified phone number order, such as order creation timestamp, phone numbers in E.164 format, product type, and order status.

# Required Parameters
- `phoneNumberOrderId`: The ID for the phone number order.

"""
get_phone_number_order(phoneNumberOrderId; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/phone-number-orders/$(phoneNumberOrderId)"; aws_config=aws_config)
get_phone_number_order(phoneNumberOrderId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/phone-number-orders/$(phoneNumberOrderId)", args; aws_config=aws_config)

"""
    GetPhoneNumberSettings()

Retrieves the phone number settings for the administrator's AWS account, such as the default outbound calling name.

"""
get_phone_number_settings(; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/settings/phone-number"; aws_config=aws_config)
get_phone_number_settings(args::AbstractDict{String, Any}; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/settings/phone-number", args; aws_config=aws_config)

"""
    GetProxySession()

Gets the specified proxy session details for the specified Amazon Chime Voice Connector.

# Required Parameters
- `proxySessionId`: The proxy session ID.
- `voiceConnectorId`: The Amazon Chime voice connector ID.

"""
get_proxy_session(proxySessionId, voiceConnectorId; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/voice-connectors/$(voiceConnectorId)/proxy-sessions/$(proxySessionId)"; aws_config=aws_config)
get_proxy_session(proxySessionId, voiceConnectorId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/voice-connectors/$(voiceConnectorId)/proxy-sessions/$(proxySessionId)", args; aws_config=aws_config)

"""
    GetRetentionSettings()

Gets the retention settings for the specified Amazon Chime Enterprise account. For more information about retention settings, see Managing Chat Retention Policies in the Amazon Chime Administration Guide.

# Required Parameters
- `accountId`: The Amazon Chime account ID.

"""
get_retention_settings(accountId; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/accounts/$(accountId)/retention-settings"; aws_config=aws_config)
get_retention_settings(accountId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/accounts/$(accountId)/retention-settings", args; aws_config=aws_config)

"""
    GetRoom()

Retrieves room details, such as the room name, for a room in an Amazon Chime Enterprise account.

# Required Parameters
- `accountId`: The Amazon Chime account ID.
- `roomId`: The room ID.

"""
get_room(accountId, roomId; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/accounts/$(accountId)/rooms/$(roomId)"; aws_config=aws_config)
get_room(accountId, roomId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/accounts/$(accountId)/rooms/$(roomId)", args; aws_config=aws_config)

"""
    GetUser()

Retrieves details for the specified user ID, such as primary email address, license type, and personal meeting PIN. To retrieve user details with an email address instead of a user ID, use the ListUsers action, and then filter by email address.

# Required Parameters
- `accountId`: The Amazon Chime account ID.
- `userId`: The user ID.

"""
get_user(accountId, userId; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/accounts/$(accountId)/users/$(userId)"; aws_config=aws_config)
get_user(accountId, userId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/accounts/$(accountId)/users/$(userId)", args; aws_config=aws_config)

"""
    GetUserSettings()

Retrieves settings for the specified user ID, such as any associated phone number settings.

# Required Parameters
- `accountId`: The Amazon Chime account ID.
- `userId`: The user ID.

"""
get_user_settings(accountId, userId; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/accounts/$(accountId)/users/$(userId)/settings"; aws_config=aws_config)
get_user_settings(accountId, userId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/accounts/$(accountId)/users/$(userId)/settings", args; aws_config=aws_config)

"""
    GetVoiceConnector()

Retrieves details for the specified Amazon Chime Voice Connector, such as timestamps, name, outbound host, and encryption requirements.

# Required Parameters
- `voiceConnectorId`: The Amazon Chime Voice Connector ID.

"""
get_voice_connector(voiceConnectorId; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/voice-connectors/$(voiceConnectorId)"; aws_config=aws_config)
get_voice_connector(voiceConnectorId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/voice-connectors/$(voiceConnectorId)", args; aws_config=aws_config)

"""
    GetVoiceConnectorEmergencyCallingConfiguration()

Gets the emergency calling configuration details for the specified Amazon Chime Voice Connector.

# Required Parameters
- `voiceConnectorId`: The Amazon Chime Voice Connector ID.

"""
get_voice_connector_emergency_calling_configuration(voiceConnectorId; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/voice-connectors/$(voiceConnectorId)/emergency-calling-configuration"; aws_config=aws_config)
get_voice_connector_emergency_calling_configuration(voiceConnectorId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/voice-connectors/$(voiceConnectorId)/emergency-calling-configuration", args; aws_config=aws_config)

"""
    GetVoiceConnectorGroup()

Retrieves details for the specified Amazon Chime Voice Connector group, such as timestamps, name, and associated VoiceConnectorItems.

# Required Parameters
- `voiceConnectorGroupId`: The Amazon Chime Voice Connector group ID.

"""
get_voice_connector_group(voiceConnectorGroupId; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/voice-connector-groups/$(voiceConnectorGroupId)"; aws_config=aws_config)
get_voice_connector_group(voiceConnectorGroupId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/voice-connector-groups/$(voiceConnectorGroupId)", args; aws_config=aws_config)

"""
    GetVoiceConnectorLoggingConfiguration()

Retrieves the logging configuration details for the specified Amazon Chime Voice Connector. Shows whether SIP message logs are enabled for sending to Amazon CloudWatch Logs.

# Required Parameters
- `voiceConnectorId`: The Amazon Chime Voice Connector ID.

"""
get_voice_connector_logging_configuration(voiceConnectorId; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/voice-connectors/$(voiceConnectorId)/logging-configuration"; aws_config=aws_config)
get_voice_connector_logging_configuration(voiceConnectorId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/voice-connectors/$(voiceConnectorId)/logging-configuration", args; aws_config=aws_config)

"""
    GetVoiceConnectorOrigination()

Retrieves origination setting details for the specified Amazon Chime Voice Connector.

# Required Parameters
- `voiceConnectorId`: The Amazon Chime Voice Connector ID.

"""
get_voice_connector_origination(voiceConnectorId; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/voice-connectors/$(voiceConnectorId)/origination"; aws_config=aws_config)
get_voice_connector_origination(voiceConnectorId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/voice-connectors/$(voiceConnectorId)/origination", args; aws_config=aws_config)

"""
    GetVoiceConnectorProxy()

Gets the proxy configuration details for the specified Amazon Chime Voice Connector.

# Required Parameters
- `voiceConnectorId`: The Amazon Chime voice connector ID.

"""
get_voice_connector_proxy(voiceConnectorId; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/voice-connectors/$(voiceConnectorId)/programmable-numbers/proxy"; aws_config=aws_config)
get_voice_connector_proxy(voiceConnectorId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/voice-connectors/$(voiceConnectorId)/programmable-numbers/proxy", args; aws_config=aws_config)

"""
    GetVoiceConnectorStreamingConfiguration()

Retrieves the streaming configuration details for the specified Amazon Chime Voice Connector. Shows whether media streaming is enabled for sending to Amazon Kinesis. It also shows the retention period, in hours, for the Amazon Kinesis data.

# Required Parameters
- `voiceConnectorId`: The Amazon Chime Voice Connector ID.

"""
get_voice_connector_streaming_configuration(voiceConnectorId; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/voice-connectors/$(voiceConnectorId)/streaming-configuration"; aws_config=aws_config)
get_voice_connector_streaming_configuration(voiceConnectorId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/voice-connectors/$(voiceConnectorId)/streaming-configuration", args; aws_config=aws_config)

"""
    GetVoiceConnectorTermination()

Retrieves termination setting details for the specified Amazon Chime Voice Connector.

# Required Parameters
- `voiceConnectorId`: The Amazon Chime Voice Connector ID.

"""
get_voice_connector_termination(voiceConnectorId; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/voice-connectors/$(voiceConnectorId)/termination"; aws_config=aws_config)
get_voice_connector_termination(voiceConnectorId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/voice-connectors/$(voiceConnectorId)/termination", args; aws_config=aws_config)

"""
    GetVoiceConnectorTerminationHealth()

Retrieves information about the last time a SIP OPTIONS ping was received from your SIP infrastructure for the specified Amazon Chime Voice Connector.

# Required Parameters
- `voiceConnectorId`: The Amazon Chime Voice Connector ID.

"""
get_voice_connector_termination_health(voiceConnectorId; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/voice-connectors/$(voiceConnectorId)/termination/health"; aws_config=aws_config)
get_voice_connector_termination_health(voiceConnectorId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/voice-connectors/$(voiceConnectorId)/termination/health", args; aws_config=aws_config)

"""
    InviteUsers()

Sends email to a maximum of 50 users, inviting them to the specified Amazon Chime Team account. Only Team account types are currently supported for this action. 

# Required Parameters
- `UserEmailList`: The user email addresses to which to send the email invitation.
- `accountId`: The Amazon Chime account ID.

# Optional Parameters
- `UserType`: The user type.
"""
invite_users(UserEmailList, accountId; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/accounts/$(accountId)/users?operation=add", Dict{String, Any}("UserEmailList"=>UserEmailList); aws_config=aws_config)
invite_users(UserEmailList, accountId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/accounts/$(accountId)/users?operation=add", Dict{String, Any}(mergewith(_merge, Dict{String, Any}("UserEmailList"=>UserEmailList), args)); aws_config=aws_config)

"""
    ListAccounts()

Lists the Amazon Chime accounts under the administrator's AWS account. You can filter accounts by account name prefix. To find out which Amazon Chime account a user belongs to, you can filter by the user's email address, which returns one account result.

# Optional Parameters
- `max-results`: The maximum number of results to return in a single call. Defaults to 100.
- `name`: Amazon Chime account name prefix with which to filter results.
- `next-token`: The token to use to retrieve the next page of results.
- `user-email`: User email address with which to filter results.
"""
list_accounts(; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/accounts"; aws_config=aws_config)
list_accounts(args::AbstractDict{String, Any}; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/accounts", args; aws_config=aws_config)

"""
    ListAttendeeTags()

Lists the tags applied to an Amazon Chime SDK attendee resource.

# Required Parameters
- `attendeeId`: The Amazon Chime SDK attendee ID.
- `meetingId`: The Amazon Chime SDK meeting ID.

"""
list_attendee_tags(attendeeId, meetingId; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/meetings/$(meetingId)/attendees/$(attendeeId)/tags"; aws_config=aws_config)
list_attendee_tags(attendeeId, meetingId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/meetings/$(meetingId)/attendees/$(attendeeId)/tags", args; aws_config=aws_config)

"""
    ListAttendees()

Lists the attendees for the specified Amazon Chime SDK meeting. For more information about the Amazon Chime SDK, see Using the Amazon Chime SDK in the Amazon Chime Developer Guide.

# Required Parameters
- `meetingId`: The Amazon Chime SDK meeting ID.

# Optional Parameters
- `max-results`: The maximum number of results to return in a single call.
- `next-token`: The token to use to retrieve the next page of results.
"""
list_attendees(meetingId; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/meetings/$(meetingId)/attendees"; aws_config=aws_config)
list_attendees(meetingId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/meetings/$(meetingId)/attendees", args; aws_config=aws_config)

"""
    ListBots()

Lists the bots associated with the administrator's Amazon Chime Enterprise account ID.

# Required Parameters
- `accountId`: The Amazon Chime account ID.

# Optional Parameters
- `max-results`: The maximum number of results to return in a single call. The default is 10.
- `next-token`: The token to use to retrieve the next page of results.
"""
list_bots(accountId; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/accounts/$(accountId)/bots"; aws_config=aws_config)
list_bots(accountId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/accounts/$(accountId)/bots", args; aws_config=aws_config)

"""
    ListMeetingTags()

Lists the tags applied to an Amazon Chime SDK meeting resource.

# Required Parameters
- `meetingId`: The Amazon Chime SDK meeting ID.

"""
list_meeting_tags(meetingId; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/meetings/$(meetingId)/tags"; aws_config=aws_config)
list_meeting_tags(meetingId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/meetings/$(meetingId)/tags", args; aws_config=aws_config)

"""
    ListMeetings()

Lists up to 100 active Amazon Chime SDK meetings. For more information about the Amazon Chime SDK, see Using the Amazon Chime SDK in the Amazon Chime Developer Guide.

# Optional Parameters
- `max-results`: The maximum number of results to return in a single call.
- `next-token`: The token to use to retrieve the next page of results.
"""
list_meetings(; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/meetings"; aws_config=aws_config)
list_meetings(args::AbstractDict{String, Any}; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/meetings", args; aws_config=aws_config)

"""
    ListPhoneNumberOrders()

Lists the phone number orders for the administrator's Amazon Chime account.

# Optional Parameters
- `max-results`: The maximum number of results to return in a single call.
- `next-token`: The token to use to retrieve the next page of results.
"""
list_phone_number_orders(; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/phone-number-orders"; aws_config=aws_config)
list_phone_number_orders(args::AbstractDict{String, Any}; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/phone-number-orders", args; aws_config=aws_config)

"""
    ListPhoneNumbers()

Lists the phone numbers for the specified Amazon Chime account, Amazon Chime user, Amazon Chime Voice Connector, or Amazon Chime Voice Connector group.

# Optional Parameters
- `filter-name`: The filter to use to limit the number of results.
- `filter-value`: The value to use for the filter.
- `max-results`: The maximum number of results to return in a single call.
- `next-token`: The token to use to retrieve the next page of results.
- `product-type`: The phone number product type.
- `status`: The phone number status.
"""
list_phone_numbers(; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/phone-numbers"; aws_config=aws_config)
list_phone_numbers(args::AbstractDict{String, Any}; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/phone-numbers", args; aws_config=aws_config)

"""
    ListProxySessions()

Lists the proxy sessions for the specified Amazon Chime Voice Connector.

# Required Parameters
- `voiceConnectorId`: The Amazon Chime voice connector ID.

# Optional Parameters
- `max-results`: The maximum number of results to return in a single call.
- `next-token`: The token to use to retrieve the next page of results.
- `status`: The proxy session status.
"""
list_proxy_sessions(voiceConnectorId; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/voice-connectors/$(voiceConnectorId)/proxy-sessions"; aws_config=aws_config)
list_proxy_sessions(voiceConnectorId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/voice-connectors/$(voiceConnectorId)/proxy-sessions", args; aws_config=aws_config)

"""
    ListRoomMemberships()

Lists the membership details for the specified room in an Amazon Chime Enterprise account, such as the members' IDs, email addresses, and names.

# Required Parameters
- `accountId`: The Amazon Chime account ID.
- `roomId`: The room ID.

# Optional Parameters
- `max-results`: The maximum number of results to return in a single call.
- `next-token`: The token to use to retrieve the next page of results.
"""
list_room_memberships(accountId, roomId; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/accounts/$(accountId)/rooms/$(roomId)/memberships"; aws_config=aws_config)
list_room_memberships(accountId, roomId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/accounts/$(accountId)/rooms/$(roomId)/memberships", args; aws_config=aws_config)

"""
    ListRooms()

Lists the room details for the specified Amazon Chime Enterprise account. Optionally, filter the results by a member ID (user ID or bot ID) to see a list of rooms that the member belongs to.

# Required Parameters
- `accountId`: The Amazon Chime account ID.

# Optional Parameters
- `max-results`: The maximum number of results to return in a single call.
- `member-id`: The member ID (user ID or bot ID).
- `next-token`: The token to use to retrieve the next page of results.
"""
list_rooms(accountId; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/accounts/$(accountId)/rooms"; aws_config=aws_config)
list_rooms(accountId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/accounts/$(accountId)/rooms", args; aws_config=aws_config)

"""
    ListTagsForResource()

Lists the tags applied to an Amazon Chime SDK meeting resource.

# Required Parameters
- `arn`: The resource ARN.

"""
list_tags_for_resource(arn; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/tags", Dict{String, Any}("arn"=>arn); aws_config=aws_config)
list_tags_for_resource(arn, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/tags", Dict{String, Any}(mergewith(_merge, Dict{String, Any}("arn"=>arn), args)); aws_config=aws_config)

"""
    ListUsers()

Lists the users that belong to the specified Amazon Chime account. You can specify an email address to list only the user that the email address belongs to.

# Required Parameters
- `accountId`: The Amazon Chime account ID.

# Optional Parameters
- `max-results`: The maximum number of results to return in a single call. Defaults to 100.
- `next-token`: The token to use to retrieve the next page of results.
- `user-email`: Optional. The user email address used to filter results. Maximum 1.
- `user-type`: The user type.
"""
list_users(accountId; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/accounts/$(accountId)/users"; aws_config=aws_config)
list_users(accountId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/accounts/$(accountId)/users", args; aws_config=aws_config)

"""
    ListVoiceConnectorGroups()

Lists the Amazon Chime Voice Connector groups for the administrator's AWS account.

# Optional Parameters
- `max-results`: The maximum number of results to return in a single call.
- `next-token`: The token to use to retrieve the next page of results.
"""
list_voice_connector_groups(; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/voice-connector-groups"; aws_config=aws_config)
list_voice_connector_groups(args::AbstractDict{String, Any}; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/voice-connector-groups", args; aws_config=aws_config)

"""
    ListVoiceConnectorTerminationCredentials()

Lists the SIP credentials for the specified Amazon Chime Voice Connector.

# Required Parameters
- `voiceConnectorId`: The Amazon Chime Voice Connector ID.

"""
list_voice_connector_termination_credentials(voiceConnectorId; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/voice-connectors/$(voiceConnectorId)/termination/credentials"; aws_config=aws_config)
list_voice_connector_termination_credentials(voiceConnectorId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/voice-connectors/$(voiceConnectorId)/termination/credentials", args; aws_config=aws_config)

"""
    ListVoiceConnectors()

Lists the Amazon Chime Voice Connectors for the administrator's AWS account.

# Optional Parameters
- `max-results`: The maximum number of results to return in a single call.
- `next-token`: The token to use to retrieve the next page of results.
"""
list_voice_connectors(; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/voice-connectors"; aws_config=aws_config)
list_voice_connectors(args::AbstractDict{String, Any}; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/voice-connectors", args; aws_config=aws_config)

"""
    LogoutUser()

Logs out the specified user from all of the devices they are currently logged into.

# Required Parameters
- `accountId`: The Amazon Chime account ID.
- `userId`: The user ID.

"""
logout_user(accountId, userId; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/accounts/$(accountId)/users/$(userId)?operation=logout"; aws_config=aws_config)
logout_user(accountId, userId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/accounts/$(accountId)/users/$(userId)?operation=logout", args; aws_config=aws_config)

"""
    PutEventsConfiguration()

Creates an events configuration that allows a bot to receive outgoing events sent by Amazon Chime. Choose either an HTTPS endpoint or a Lambda function ARN. For more information, see Bot.

# Required Parameters
- `accountId`: The Amazon Chime account ID.
- `botId`: The bot ID.

# Optional Parameters
- `LambdaFunctionArn`: Lambda function ARN that allows the bot to receive outgoing events.
- `OutboundEventsHTTPSEndpoint`: HTTPS endpoint that allows the bot to receive outgoing events.
"""
put_events_configuration(accountId, botId; aws_config::AWSConfig=global_aws_config()) = chime("PUT", "/accounts/$(accountId)/bots/$(botId)/events-configuration"; aws_config=aws_config)
put_events_configuration(accountId, botId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("PUT", "/accounts/$(accountId)/bots/$(botId)/events-configuration", args; aws_config=aws_config)

"""
    PutRetentionSettings()

Puts retention settings for the specified Amazon Chime Enterprise account. We recommend using AWS CloudTrail to monitor usage of this API for your account. For more information, see Logging Amazon Chime API Calls with AWS CloudTrail in the Amazon Chime Administration Guide. To turn off existing retention settings, remove the number of days from the corresponding RetentionDays field in the RetentionSettings object. For more information about retention settings, see Managing Chat Retention Policies in the Amazon Chime Administration Guide.

# Required Parameters
- `RetentionSettings`: The retention settings.
- `accountId`: The Amazon Chime account ID.

"""
put_retention_settings(RetentionSettings, accountId; aws_config::AWSConfig=global_aws_config()) = chime("PUT", "/accounts/$(accountId)/retention-settings", Dict{String, Any}("RetentionSettings"=>RetentionSettings); aws_config=aws_config)
put_retention_settings(RetentionSettings, accountId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("PUT", "/accounts/$(accountId)/retention-settings", Dict{String, Any}(mergewith(_merge, Dict{String, Any}("RetentionSettings"=>RetentionSettings), args)); aws_config=aws_config)

"""
    PutVoiceConnectorEmergencyCallingConfiguration()

Puts emergency calling configuration details to the specified Amazon Chime Voice Connector, such as emergency phone numbers and calling countries. Origination and termination settings must be enabled for the Amazon Chime Voice Connector before emergency calling can be configured.

# Required Parameters
- `EmergencyCallingConfiguration`: The emergency calling configuration details.
- `voiceConnectorId`: The Amazon Chime Voice Connector ID.

"""
put_voice_connector_emergency_calling_configuration(EmergencyCallingConfiguration, voiceConnectorId; aws_config::AWSConfig=global_aws_config()) = chime("PUT", "/voice-connectors/$(voiceConnectorId)/emergency-calling-configuration", Dict{String, Any}("EmergencyCallingConfiguration"=>EmergencyCallingConfiguration); aws_config=aws_config)
put_voice_connector_emergency_calling_configuration(EmergencyCallingConfiguration, voiceConnectorId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("PUT", "/voice-connectors/$(voiceConnectorId)/emergency-calling-configuration", Dict{String, Any}(mergewith(_merge, Dict{String, Any}("EmergencyCallingConfiguration"=>EmergencyCallingConfiguration), args)); aws_config=aws_config)

"""
    PutVoiceConnectorLoggingConfiguration()

Adds a logging configuration for the specified Amazon Chime Voice Connector. The logging configuration specifies whether SIP message logs are enabled for sending to Amazon CloudWatch Logs.

# Required Parameters
- `LoggingConfiguration`: The logging configuration details to add.
- `voiceConnectorId`: The Amazon Chime Voice Connector ID.

"""
put_voice_connector_logging_configuration(LoggingConfiguration, voiceConnectorId; aws_config::AWSConfig=global_aws_config()) = chime("PUT", "/voice-connectors/$(voiceConnectorId)/logging-configuration", Dict{String, Any}("LoggingConfiguration"=>LoggingConfiguration); aws_config=aws_config)
put_voice_connector_logging_configuration(LoggingConfiguration, voiceConnectorId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("PUT", "/voice-connectors/$(voiceConnectorId)/logging-configuration", Dict{String, Any}(mergewith(_merge, Dict{String, Any}("LoggingConfiguration"=>LoggingConfiguration), args)); aws_config=aws_config)

"""
    PutVoiceConnectorOrigination()

Adds origination settings for the specified Amazon Chime Voice Connector.  If emergency calling is configured for the Amazon Chime Voice Connector, it must be deleted prior to turning off origination settings. 

# Required Parameters
- `Origination`: The origination setting details to add.
- `voiceConnectorId`: The Amazon Chime Voice Connector ID.

"""
put_voice_connector_origination(Origination, voiceConnectorId; aws_config::AWSConfig=global_aws_config()) = chime("PUT", "/voice-connectors/$(voiceConnectorId)/origination", Dict{String, Any}("Origination"=>Origination); aws_config=aws_config)
put_voice_connector_origination(Origination, voiceConnectorId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("PUT", "/voice-connectors/$(voiceConnectorId)/origination", Dict{String, Any}(mergewith(_merge, Dict{String, Any}("Origination"=>Origination), args)); aws_config=aws_config)

"""
    PutVoiceConnectorProxy()

Puts the specified proxy configuration to the specified Amazon Chime Voice Connector.

# Required Parameters
- `DefaultSessionExpiryMinutes`: The default number of minutes allowed for proxy sessions.
- `PhoneNumberPoolCountries`: The countries for proxy phone numbers to be selected from.
- `voiceConnectorId`: The Amazon Chime voice connector ID.

# Optional Parameters
- `Disabled`: When true, stops proxy sessions from being created on the specified Amazon Chime Voice Connector.
- `FallBackPhoneNumber`: The phone number to route calls to after a proxy session expires.
"""
put_voice_connector_proxy(DefaultSessionExpiryMinutes, PhoneNumberPoolCountries, voiceConnectorId; aws_config::AWSConfig=global_aws_config()) = chime("PUT", "/voice-connectors/$(voiceConnectorId)/programmable-numbers/proxy", Dict{String, Any}("DefaultSessionExpiryMinutes"=>DefaultSessionExpiryMinutes, "PhoneNumberPoolCountries"=>PhoneNumberPoolCountries); aws_config=aws_config)
put_voice_connector_proxy(DefaultSessionExpiryMinutes, PhoneNumberPoolCountries, voiceConnectorId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("PUT", "/voice-connectors/$(voiceConnectorId)/programmable-numbers/proxy", Dict{String, Any}(mergewith(_merge, Dict{String, Any}("DefaultSessionExpiryMinutes"=>DefaultSessionExpiryMinutes, "PhoneNumberPoolCountries"=>PhoneNumberPoolCountries), args)); aws_config=aws_config)

"""
    PutVoiceConnectorStreamingConfiguration()

Adds a streaming configuration for the specified Amazon Chime Voice Connector. The streaming configuration specifies whether media streaming is enabled for sending to Amazon Kinesis. It also sets the retention period, in hours, for the Amazon Kinesis data.

# Required Parameters
- `StreamingConfiguration`: The streaming configuration details to add.
- `voiceConnectorId`: The Amazon Chime Voice Connector ID.

"""
put_voice_connector_streaming_configuration(StreamingConfiguration, voiceConnectorId; aws_config::AWSConfig=global_aws_config()) = chime("PUT", "/voice-connectors/$(voiceConnectorId)/streaming-configuration", Dict{String, Any}("StreamingConfiguration"=>StreamingConfiguration); aws_config=aws_config)
put_voice_connector_streaming_configuration(StreamingConfiguration, voiceConnectorId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("PUT", "/voice-connectors/$(voiceConnectorId)/streaming-configuration", Dict{String, Any}(mergewith(_merge, Dict{String, Any}("StreamingConfiguration"=>StreamingConfiguration), args)); aws_config=aws_config)

"""
    PutVoiceConnectorTermination()

Adds termination settings for the specified Amazon Chime Voice Connector.  If emergency calling is configured for the Amazon Chime Voice Connector, it must be deleted prior to turning off termination settings. 

# Required Parameters
- `Termination`: The termination setting details to add.
- `voiceConnectorId`: The Amazon Chime Voice Connector ID.

"""
put_voice_connector_termination(Termination, voiceConnectorId; aws_config::AWSConfig=global_aws_config()) = chime("PUT", "/voice-connectors/$(voiceConnectorId)/termination", Dict{String, Any}("Termination"=>Termination); aws_config=aws_config)
put_voice_connector_termination(Termination, voiceConnectorId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("PUT", "/voice-connectors/$(voiceConnectorId)/termination", Dict{String, Any}(mergewith(_merge, Dict{String, Any}("Termination"=>Termination), args)); aws_config=aws_config)

"""
    PutVoiceConnectorTerminationCredentials()

Adds termination SIP credentials for the specified Amazon Chime Voice Connector.

# Required Parameters
- `voiceConnectorId`: The Amazon Chime Voice Connector ID.

# Optional Parameters
- `Credentials`: The termination SIP credentials.
"""
put_voice_connector_termination_credentials(voiceConnectorId; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/voice-connectors/$(voiceConnectorId)/termination/credentials?operation=put"; aws_config=aws_config)
put_voice_connector_termination_credentials(voiceConnectorId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/voice-connectors/$(voiceConnectorId)/termination/credentials?operation=put", args; aws_config=aws_config)

"""
    RedactConversationMessage()

Redacts the specified message from the specified Amazon Chime conversation.

# Required Parameters
- `accountId`: The Amazon Chime account ID.
- `conversationId`: The conversation ID.
- `messageId`: The message ID.

"""
redact_conversation_message(accountId, conversationId, messageId; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/accounts/$(accountId)/conversations/$(conversationId)/messages/$(messageId)?operation=redact"; aws_config=aws_config)
redact_conversation_message(accountId, conversationId, messageId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/accounts/$(accountId)/conversations/$(conversationId)/messages/$(messageId)?operation=redact", args; aws_config=aws_config)

"""
    RedactRoomMessage()

Redacts the specified message from the specified Amazon Chime chat room.

# Required Parameters
- `accountId`: The Amazon Chime account ID.
- `messageId`: The message ID.
- `roomId`: The room ID.

"""
redact_room_message(accountId, messageId, roomId; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/accounts/$(accountId)/rooms/$(roomId)/messages/$(messageId)?operation=redact"; aws_config=aws_config)
redact_room_message(accountId, messageId, roomId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/accounts/$(accountId)/rooms/$(roomId)/messages/$(messageId)?operation=redact", args; aws_config=aws_config)

"""
    RegenerateSecurityToken()

Regenerates the security token for a bot.

# Required Parameters
- `accountId`: The Amazon Chime account ID.
- `botId`: The bot ID.

"""
regenerate_security_token(accountId, botId; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/accounts/$(accountId)/bots/$(botId)?operation=regenerate-security-token"; aws_config=aws_config)
regenerate_security_token(accountId, botId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/accounts/$(accountId)/bots/$(botId)?operation=regenerate-security-token", args; aws_config=aws_config)

"""
    ResetPersonalPIN()

Resets the personal meeting PIN for the specified user on an Amazon Chime account. Returns the User object with the updated personal meeting PIN.

# Required Parameters
- `accountId`: The Amazon Chime account ID.
- `userId`: The user ID.

"""
reset_personal_pin(accountId, userId; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/accounts/$(accountId)/users/$(userId)?operation=reset-personal-pin"; aws_config=aws_config)
reset_personal_pin(accountId, userId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/accounts/$(accountId)/users/$(userId)?operation=reset-personal-pin", args; aws_config=aws_config)

"""
    RestorePhoneNumber()

Moves a phone number from the Deletion queue back into the phone number Inventory.

# Required Parameters
- `phoneNumberId`: The phone number.

"""
restore_phone_number(phoneNumberId; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/phone-numbers/$(phoneNumberId)?operation=restore"; aws_config=aws_config)
restore_phone_number(phoneNumberId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/phone-numbers/$(phoneNumberId)?operation=restore", args; aws_config=aws_config)

"""
    SearchAvailablePhoneNumbers()

Searches phone numbers that can be ordered.

# Optional Parameters
- `area-code`: The area code used to filter results.
- `city`: The city used to filter results.
- `country`: The country used to filter results.
- `max-results`: The maximum number of results to return in a single call.
- `next-token`: The token to use to retrieve the next page of results.
- `state`: The state used to filter results.
- `toll-free-prefix`: The toll-free prefix that you use to filter results.
"""
search_available_phone_numbers(; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/search?type=phone-numbers"; aws_config=aws_config)
search_available_phone_numbers(args::AbstractDict{String, Any}; aws_config::AWSConfig=global_aws_config()) = chime("GET", "/search?type=phone-numbers", args; aws_config=aws_config)

"""
    TagAttendee()

Applies the specified tags to the specified Amazon Chime SDK attendee.

# Required Parameters
- `Tags`: The tag key-value pairs.
- `attendeeId`: The Amazon Chime SDK attendee ID.
- `meetingId`: The Amazon Chime SDK meeting ID.

"""
tag_attendee(Tags, attendeeId, meetingId; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/meetings/$(meetingId)/attendees/$(attendeeId)/tags?operation=add", Dict{String, Any}("Tags"=>Tags); aws_config=aws_config)
tag_attendee(Tags, attendeeId, meetingId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/meetings/$(meetingId)/attendees/$(attendeeId)/tags?operation=add", Dict{String, Any}(mergewith(_merge, Dict{String, Any}("Tags"=>Tags), args)); aws_config=aws_config)

"""
    TagMeeting()

Applies the specified tags to the specified Amazon Chime SDK meeting.

# Required Parameters
- `Tags`: The tag key-value pairs.
- `meetingId`: The Amazon Chime SDK meeting ID.

"""
tag_meeting(Tags, meetingId; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/meetings/$(meetingId)/tags?operation=add", Dict{String, Any}("Tags"=>Tags); aws_config=aws_config)
tag_meeting(Tags, meetingId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/meetings/$(meetingId)/tags?operation=add", Dict{String, Any}(mergewith(_merge, Dict{String, Any}("Tags"=>Tags), args)); aws_config=aws_config)

"""
    TagResource()

Applies the specified tags to the specified Amazon Chime SDK meeting resource.

# Required Parameters
- `ResourceARN`: The resource ARN.
- `Tags`: The tag key-value pairs.

"""
tag_resource(ResourceARN, Tags; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/tags?operation=tag-resource", Dict{String, Any}("ResourceARN"=>ResourceARN, "Tags"=>Tags); aws_config=aws_config)
tag_resource(ResourceARN, Tags, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/tags?operation=tag-resource", Dict{String, Any}(mergewith(_merge, Dict{String, Any}("ResourceARN"=>ResourceARN, "Tags"=>Tags), args)); aws_config=aws_config)

"""
    UntagAttendee()

Untags the specified tags from the specified Amazon Chime SDK attendee.

# Required Parameters
- `TagKeys`: The tag keys.
- `attendeeId`: The Amazon Chime SDK attendee ID.
- `meetingId`: The Amazon Chime SDK meeting ID.

"""
untag_attendee(TagKeys, attendeeId, meetingId; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/meetings/$(meetingId)/attendees/$(attendeeId)/tags?operation=delete", Dict{String, Any}("TagKeys"=>TagKeys); aws_config=aws_config)
untag_attendee(TagKeys, attendeeId, meetingId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/meetings/$(meetingId)/attendees/$(attendeeId)/tags?operation=delete", Dict{String, Any}(mergewith(_merge, Dict{String, Any}("TagKeys"=>TagKeys), args)); aws_config=aws_config)

"""
    UntagMeeting()

Untags the specified tags from the specified Amazon Chime SDK meeting.

# Required Parameters
- `TagKeys`: The tag keys.
- `meetingId`: The Amazon Chime SDK meeting ID.

"""
untag_meeting(TagKeys, meetingId; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/meetings/$(meetingId)/tags?operation=delete", Dict{String, Any}("TagKeys"=>TagKeys); aws_config=aws_config)
untag_meeting(TagKeys, meetingId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/meetings/$(meetingId)/tags?operation=delete", Dict{String, Any}(mergewith(_merge, Dict{String, Any}("TagKeys"=>TagKeys), args)); aws_config=aws_config)

"""
    UntagResource()

Untags the specified tags from the specified Amazon Chime SDK meeting resource.

# Required Parameters
- `ResourceARN`: The resource ARN.
- `TagKeys`: The tag keys.

"""
untag_resource(ResourceARN, TagKeys; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/tags?operation=untag-resource", Dict{String, Any}("ResourceARN"=>ResourceARN, "TagKeys"=>TagKeys); aws_config=aws_config)
untag_resource(ResourceARN, TagKeys, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/tags?operation=untag-resource", Dict{String, Any}(mergewith(_merge, Dict{String, Any}("ResourceARN"=>ResourceARN, "TagKeys"=>TagKeys), args)); aws_config=aws_config)

"""
    UpdateAccount()

Updates account details for the specified Amazon Chime account. Currently, only account name updates are supported for this action.

# Required Parameters
- `accountId`: The Amazon Chime account ID.

# Optional Parameters
- `Name`: The new name for the specified Amazon Chime account.
"""
update_account(accountId; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/accounts/$(accountId)"; aws_config=aws_config)
update_account(accountId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/accounts/$(accountId)", args; aws_config=aws_config)

"""
    UpdateAccountSettings()

Updates the settings for the specified Amazon Chime account. You can update settings for remote control of shared screens, or for the dial-out option. For more information about these settings, see Use the Policies Page in the Amazon Chime Administration Guide.

# Required Parameters
- `AccountSettings`: The Amazon Chime account settings to update.
- `accountId`: The Amazon Chime account ID.

"""
update_account_settings(AccountSettings, accountId; aws_config::AWSConfig=global_aws_config()) = chime("PUT", "/accounts/$(accountId)/settings", Dict{String, Any}("AccountSettings"=>AccountSettings); aws_config=aws_config)
update_account_settings(AccountSettings, accountId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("PUT", "/accounts/$(accountId)/settings", Dict{String, Any}(mergewith(_merge, Dict{String, Any}("AccountSettings"=>AccountSettings), args)); aws_config=aws_config)

"""
    UpdateBot()

Updates the status of the specified bot, such as starting or stopping the bot from running in your Amazon Chime Enterprise account.

# Required Parameters
- `accountId`: The Amazon Chime account ID.
- `botId`: The bot ID.

# Optional Parameters
- `Disabled`: When true, stops the specified bot from running in your account.
"""
update_bot(accountId, botId; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/accounts/$(accountId)/bots/$(botId)"; aws_config=aws_config)
update_bot(accountId, botId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/accounts/$(accountId)/bots/$(botId)", args; aws_config=aws_config)

"""
    UpdateGlobalSettings()

Updates global settings for the administrator's AWS account, such as Amazon Chime Business Calling and Amazon Chime Voice Connector settings.

# Required Parameters
- `BusinessCalling`: The Amazon Chime Business Calling settings.
- `VoiceConnector`: The Amazon Chime Voice Connector settings.

"""
update_global_settings(BusinessCalling, VoiceConnector; aws_config::AWSConfig=global_aws_config()) = chime("PUT", "/settings", Dict{String, Any}("BusinessCalling"=>BusinessCalling, "VoiceConnector"=>VoiceConnector); aws_config=aws_config)
update_global_settings(BusinessCalling, VoiceConnector, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("PUT", "/settings", Dict{String, Any}(mergewith(_merge, Dict{String, Any}("BusinessCalling"=>BusinessCalling, "VoiceConnector"=>VoiceConnector), args)); aws_config=aws_config)

"""
    UpdatePhoneNumber()

Updates phone number details, such as product type or calling name, for the specified phone number ID. You can update one phone number detail at a time. For example, you can update either the product type or the calling name in one action. For toll-free numbers, you must use the Amazon Chime Voice Connector product type. Updates to outbound calling names can take up to 72 hours to complete. Pending updates to outbound calling names must be complete before you can request another update.

# Required Parameters
- `phoneNumberId`: The phone number ID.

# Optional Parameters
- `CallingName`: The outbound calling name associated with the phone number.
- `ProductType`: The product type.
"""
update_phone_number(phoneNumberId; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/phone-numbers/$(phoneNumberId)"; aws_config=aws_config)
update_phone_number(phoneNumberId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/phone-numbers/$(phoneNumberId)", args; aws_config=aws_config)

"""
    UpdatePhoneNumberSettings()

Updates the phone number settings for the administrator's AWS account, such as the default outbound calling name. You can update the default outbound calling name once every seven days. Outbound calling names can take up to 72 hours to update.

# Required Parameters
- `CallingName`: The default outbound calling name for the account.

"""
update_phone_number_settings(CallingName; aws_config::AWSConfig=global_aws_config()) = chime("PUT", "/settings/phone-number", Dict{String, Any}("CallingName"=>CallingName); aws_config=aws_config)
update_phone_number_settings(CallingName, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("PUT", "/settings/phone-number", Dict{String, Any}(mergewith(_merge, Dict{String, Any}("CallingName"=>CallingName), args)); aws_config=aws_config)

"""
    UpdateProxySession()

Updates the specified proxy session details, such as voice or SMS capabilities.

# Required Parameters
- `Capabilities`: The proxy session capabilities.
- `proxySessionId`: The proxy session ID.
- `voiceConnectorId`: The Amazon Chime voice connector ID.

# Optional Parameters
- `ExpiryMinutes`: The number of minutes allowed for the proxy session.
"""
update_proxy_session(Capabilities, proxySessionId, voiceConnectorId; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/voice-connectors/$(voiceConnectorId)/proxy-sessions/$(proxySessionId)", Dict{String, Any}("Capabilities"=>Capabilities); aws_config=aws_config)
update_proxy_session(Capabilities, proxySessionId, voiceConnectorId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/voice-connectors/$(voiceConnectorId)/proxy-sessions/$(proxySessionId)", Dict{String, Any}(mergewith(_merge, Dict{String, Any}("Capabilities"=>Capabilities), args)); aws_config=aws_config)

"""
    UpdateRoom()

Updates room details, such as the room name, for a room in an Amazon Chime Enterprise account.

# Required Parameters
- `accountId`: The Amazon Chime account ID.
- `roomId`: The room ID.

# Optional Parameters
- `Name`: The room name.
"""
update_room(accountId, roomId; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/accounts/$(accountId)/rooms/$(roomId)"; aws_config=aws_config)
update_room(accountId, roomId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/accounts/$(accountId)/rooms/$(roomId)", args; aws_config=aws_config)

"""
    UpdateRoomMembership()

Updates room membership details, such as the member role, for a room in an Amazon Chime Enterprise account. The member role designates whether the member is a chat room administrator or a general chat room member. The member role can be updated only for user IDs.

# Required Parameters
- `accountId`: The Amazon Chime account ID.
- `memberId`: The member ID.
- `roomId`: The room ID.

# Optional Parameters
- `Role`: The role of the member.
"""
update_room_membership(accountId, memberId, roomId; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/accounts/$(accountId)/rooms/$(roomId)/memberships/$(memberId)"; aws_config=aws_config)
update_room_membership(accountId, memberId, roomId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/accounts/$(accountId)/rooms/$(roomId)/memberships/$(memberId)", args; aws_config=aws_config)

"""
    UpdateUser()

Updates user details for a specified user ID. Currently, only LicenseType updates are supported for this action.

# Required Parameters
- `accountId`: The Amazon Chime account ID.
- `userId`: The user ID.

# Optional Parameters
- `AlexaForBusinessMetadata`: The Alexa for Business metadata.
- `LicenseType`: The user license type to update. This must be a supported license type for the Amazon Chime account that the user belongs to.
- `UserType`: The user type.
"""
update_user(accountId, userId; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/accounts/$(accountId)/users/$(userId)"; aws_config=aws_config)
update_user(accountId, userId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("POST", "/accounts/$(accountId)/users/$(userId)", args; aws_config=aws_config)

"""
    UpdateUserSettings()

Updates the settings for the specified user, such as phone number settings.

# Required Parameters
- `UserSettings`: The user settings to update.
- `accountId`: The Amazon Chime account ID.
- `userId`: The user ID.

"""
update_user_settings(UserSettings, accountId, userId; aws_config::AWSConfig=global_aws_config()) = chime("PUT", "/accounts/$(accountId)/users/$(userId)/settings", Dict{String, Any}("UserSettings"=>UserSettings); aws_config=aws_config)
update_user_settings(UserSettings, accountId, userId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("PUT", "/accounts/$(accountId)/users/$(userId)/settings", Dict{String, Any}(mergewith(_merge, Dict{String, Any}("UserSettings"=>UserSettings), args)); aws_config=aws_config)

"""
    UpdateVoiceConnector()

Updates details for the specified Amazon Chime Voice Connector.

# Required Parameters
- `Name`: The name of the Amazon Chime Voice Connector.
- `RequireEncryption`: When enabled, requires encryption for the Amazon Chime Voice Connector.
- `voiceConnectorId`: The Amazon Chime Voice Connector ID.

"""
update_voice_connector(Name, RequireEncryption, voiceConnectorId; aws_config::AWSConfig=global_aws_config()) = chime("PUT", "/voice-connectors/$(voiceConnectorId)", Dict{String, Any}("Name"=>Name, "RequireEncryption"=>RequireEncryption); aws_config=aws_config)
update_voice_connector(Name, RequireEncryption, voiceConnectorId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("PUT", "/voice-connectors/$(voiceConnectorId)", Dict{String, Any}(mergewith(_merge, Dict{String, Any}("Name"=>Name, "RequireEncryption"=>RequireEncryption), args)); aws_config=aws_config)

"""
    UpdateVoiceConnectorGroup()

Updates details for the specified Amazon Chime Voice Connector group, such as the name and Amazon Chime Voice Connector priority ranking.

# Required Parameters
- `Name`: The name of the Amazon Chime Voice Connector group.
- `VoiceConnectorItems`: The VoiceConnectorItems to associate with the group.
- `voiceConnectorGroupId`: The Amazon Chime Voice Connector group ID.

"""
update_voice_connector_group(Name, VoiceConnectorItems, voiceConnectorGroupId; aws_config::AWSConfig=global_aws_config()) = chime("PUT", "/voice-connector-groups/$(voiceConnectorGroupId)", Dict{String, Any}("Name"=>Name, "VoiceConnectorItems"=>VoiceConnectorItems); aws_config=aws_config)
update_voice_connector_group(Name, VoiceConnectorItems, voiceConnectorGroupId, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = chime("PUT", "/voice-connector-groups/$(voiceConnectorGroupId)", Dict{String, Any}(mergewith(_merge, Dict{String, Any}("Name"=>Name, "VoiceConnectorItems"=>VoiceConnectorItems), args)); aws_config=aws_config)
