# This file is auto-generated by AWSMetadata.jl
using AWS
using AWS.AWSServices: pricing
using AWS.Compat
using AWS.UUIDs

"""
    DescribeServices()

Returns the metadata for one service or a list of the metadata for all services. Use this without a service code to get the service codes for all services. Use it with a service code, such as AmazonEC2, to get information specific to that service, such as the attribute names available for that service. For example, some of the attribute names available for EC2 are volumeType, maxIopsVolume, operation, locationType, and instanceCapacity10xlarge.

# Optional Parameters
- `FormatVersion`: The format version that you want the response to be in. Valid values are: aws_v1 
- `MaxResults`: The maximum number of results that you want returned in the response.
- `NextToken`: The pagination token that indicates the next set of results that you want to retrieve.
- `ServiceCode`: The code for the service whose information you want to retrieve, such as AmazonEC2. You can use the ServiceCode to filter the results in a GetProducts call. To retrieve a list of all services, leave this blank.
"""
describe_services(; aws_config::AWSConfig=global_aws_config()) = pricing("DescribeServices"; aws_config=aws_config)
describe_services(args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = pricing("DescribeServices", args; aws_config=aws_config)

"""
    GetAttributeValues()

Returns a list of attribute values. Attibutes are similar to the details in a Price List API offer file. For a list of available attributes, see Offer File Definitions in the AWS Billing and Cost Management User Guide.

# Required Parameters
- `AttributeName`: The name of the attribute that you want to retrieve the values for, such as volumeType.
- `ServiceCode`: The service code for the service whose attributes you want to retrieve. For example, if you want the retrieve an EC2 attribute, use AmazonEC2.

# Optional Parameters
- `MaxResults`: The maximum number of results to return in response.
- `NextToken`: The pagination token that indicates the next set of results that you want to retrieve.
"""
get_attribute_values(AttributeName, ServiceCode; aws_config::AWSConfig=global_aws_config()) = pricing("GetAttributeValues", Dict{String, Any}("AttributeName"=>AttributeName, "ServiceCode"=>ServiceCode); aws_config=aws_config)
get_attribute_values(AttributeName, ServiceCode, args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = pricing("GetAttributeValues", Dict{String, Any}(mergewith(_merge, Dict{String, Any}("AttributeName"=>AttributeName, "ServiceCode"=>ServiceCode), args)); aws_config=aws_config)

"""
    GetProducts()

Returns a list of all products that match the filter criteria.

# Optional Parameters
- `Filters`: The list of filters that limit the returned products. only products that match all filters are returned.
- `FormatVersion`: The format version that you want the response to be in. Valid values are: aws_v1 
- `MaxResults`: The maximum number of results to return in the response.
- `NextToken`: The pagination token that indicates the next set of results that you want to retrieve.
- `ServiceCode`: The code for the service whose products you want to retrieve. 
"""
get_products(; aws_config::AWSConfig=global_aws_config()) = pricing("GetProducts"; aws_config=aws_config)
get_products(args::AbstractDict{String, <:Any}; aws_config::AWSConfig=global_aws_config()) = pricing("GetProducts", args; aws_config=aws_config)
